Imports System.Windows.Forms

Public Class RectButton
  Inherits ComdToolBarButton
  '-----
  Public Sub New(ByVal md As Mediator)
    MyBase.New("Rectangle", md)
    Me.Style = ToolBarButtonStyle.ToggleButton
    med.registerRectButton(Me)
  End Sub
  '-----
  Public Overrides Sub Execute()
    med.startRectangle()
  End Sub

End Class
